#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-haskell-ci-z-haskell-ci-internal
version:              0.12.1
package-name:         haskell-ci
lib-name:             haskell-ci-internal
id:
    haskell-ci-0.12.1-83Fhhq8UFIW5gXAmQOZGNl-haskell-ci-internal

key:
    haskell-ci-0.12.1-83Fhhq8UFIW5gXAmQOZGNl-haskell-ci-internal

license:              GPL-3.0-or-later
maintainer:           hvr@gnu.org
author:               Herbert Valerio Riedel, Oleg Grenrus
homepage:             https://haskell-ci.rtfd.org/
synopsis:             Cabal package script generator for Travis-CI
description:
    Script generator (@haskell-ci@) for
    [GitHub Actions](https://docs.github.com/en/actions) and
    [Travis-CI](https://travis-ci.org/)
    for continuous-integration testing of Haskell Cabal packages.

    Included features (not limited to):

    * Multiple GHC support
    * Dependency caching
    * cabal.project support (see [Nix-style local builds documentation](https://cabal.readthedocs.io/en/latest/nix-local-build-overview.html))
    * Runs tests and builds benchmarks
    * Generates Haddocks
    * GHCJS support
    * building with specific constraints

    === Quick Start Guide

    Add a @tested-with@ line to your @.cabal@ file (e.g. @tested-with: GHC == 8.0.2 || == 8.2.2@) and then run @haskell-ci yourpackage.cabal -o .travis.yml@ to generate the Travis-CI job script.

    See @haskell-ci --help@ for more information.

category:             Development
abi:                  2711244e24ff541444c223ade2bc85c9
exposed-modules:
    HaskellCI HaskellCI.Auxiliary HaskellCI.Bash
    HaskellCI.Bash.Template HaskellCI.Cli HaskellCI.Compiler
    HaskellCI.Config HaskellCI.Config.ConstraintSet
    HaskellCI.Config.CopyFields HaskellCI.Config.Docspec
    HaskellCI.Config.Doctest HaskellCI.Config.Dump
    HaskellCI.Config.Folds HaskellCI.Config.HLint
    HaskellCI.Config.Installed HaskellCI.Config.Jobs
    HaskellCI.Config.PackageScope HaskellCI.Config.Ubuntu
    HaskellCI.Config.Validity HaskellCI.Diagnostics HaskellCI.Error
    HaskellCI.GitConfig HaskellCI.GitHub HaskellCI.GitHub.Yaml
    HaskellCI.HeadHackage HaskellCI.Jobs HaskellCI.List
    HaskellCI.MonadErr HaskellCI.Newtypes HaskellCI.OptionsGrammar
    HaskellCI.OptparseGrammar HaskellCI.Package HaskellCI.ParsecUtils
    HaskellCI.Prelude HaskellCI.Sh HaskellCI.ShVersionRange
    HaskellCI.TestedWith HaskellCI.Tools HaskellCI.Travis
    HaskellCI.Travis.Yaml HaskellCI.VersionInfo HaskellCI.YamlSyntax

import-dirs:          /usr/lib/ghc-9.0.2/site-local/haskell-ci-0.12.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/haskell-ci-0.12.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ci
hs-libraries:
    HShaskell-ci-0.12.1-83Fhhq8UFIW5gXAmQOZGNl-haskell-ci-internal

depends:
    Cabal-3.4.1.0 HsYAML-0.2.1.2-7Y6sAEmpsbyGSFdQNZjYgz
    ShellCheck-0.9.0-3eZuzvhvfrfJtC9S7tiMps
    aeson-2.1.2.1-5LFbz27UeRc2IE39j8tZaA
    attoparsec-0.14.4-4TYzWI7gKmZ2TJS0tW1u7Q base-4.15.1.0
    base-compat-0.12.2-l1EqrM7Qwu6Pq9d4drKFu
    base16-bytestring-1.0.2.0-FO4uYOZBv783BbExK26Xj2 binary-0.8.8.0
    bytestring-0.10.12.1
    cabal-install-parsers-0.4.2-KMhkbWHZ7TtGlqSaGsQlGC
    containers-0.6.4.1
    cryptohash-sha256-0.11.102.1-2vyVflXT6vOASIHvs4WrGG deepseq-1.4.5.0
    directory-1.3.6.2 exceptions-0.10.4 filepath-1.4.2.1
    generic-lens-lite-0.1-5glJveGIXPk7sgczrz8qf2
    indexed-traversable-0.1.3-GpC8D7vRPgN54dRJ6PDJS4
    indexed-traversable-instances-0.1.1.2-CrDHh1gnCNX1S0Xb6BWWu4
    ini-0.4.2-K05UcD51M1FFUs91E0rpkd
    lattices-2.1-BtDqOTs3SpxAouBYman3g6 mtl-2.2.2
    network-uri-2.6.4.2-3gMYbGQJlUc8IDbI9FdqX8
    optparse-applicative-0.17.1.0-2LmfOaibC5IAc1E2vSZNkZ
    parsec-3.1.14.0 pretty-1.1.3.6 process-1.6.13.2
    temporary-1.3-7k8ikU8NEP8Kjv52O2SD6L text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-UA49xtzCSp2PJ1xuqchgw
    zinza-0.2-1UNAO0neXQJ23Jc2TjwbTz

haddock-interfaces:   /usr/share/doc/haskell-ci/html/haskell-ci.haddock
haddock-html:         /usr/share/doc/haskell-ci/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

